## e-address-western

e-address-western

## Functions

EAddressWestern * | e_address_western_parse ()
void | e_address_western_free ()
EAddressWestern * | e_address_western_copy ()

## Types and Values

| EAddressWestern

## Object Hierarchy

        GBoxed
        ╰── EAddressWestern

## Description

## Functions

### e_address_western_parse ()

    EAddressWestern *
    e_address_western_parse (const gchar *in_address);

Parses a string representing a mailing address into a structure of type EAddressWestern.

#### Parameters

in_address | a string representing a mailing address. | [nullable]

#### Returns

A new EAddressWestern structure, or `NULL` if the parsing failed or when the `in_address` was `NULL`.

[nullable]

### e_address_western_free ()

    void
    e_address_western_free (EAddressWestern *eaw);

Frees `eaw` and its contents.

#### Parameters

eaw | an EAddressWestern |

### e_address_western_copy ()

    EAddressWestern *
    e_address_western_copy (EAddressWestern *eaw);

Creates a copy of `eaw` .

#### Parameters

eaw | an EAddressWestern |

#### Returns

A new EAddressWestern struct identical to `eaw` .

[transfer full]

Since: 3.24

## Types and Values

### EAddressWestern

    typedef struct {
    	/* Public */
    	gchar *po_box;
    	gchar *extended;  /* I'm not sure what this is. */
    	gchar *street;
    	gchar *locality;  /* For example, the city or town. */
    	gchar *region; /* The state or province. */
    	gchar *postal_code;
    	gchar *country;
    } EAddressWestern;

Western address structure.

#### Members

gchar *`po_box`; | PO Box. |
gchar *`extended`; | TODO, we're not sure what this is. |
gchar *`street`; | Street name |
gchar *`locality`; | City or town |
gchar *`region`; | State or province |
gchar *`postal_code`; | Postal Code |
gchar *`country`; | Country |